<?php
/**
 * WebEngine CMS
 * https://webenginecms.org/
 * 
 * @version 1.2.1
 * @author Lautaro Angelico <http://lautaroangelico.com/>
 * @copyright (c) 2013-2020 Lautaro Angelico, All Rights Reserved
 * 
 * Licensed under the MIT license
 * http://opensource.org/licenses/MIT
 */
?>
<div class="page-title"><span><?php echo lang('module_titles_txt_9'); ?></span></div>
<ol class="tos_list">
	<li>
		<strong>Legal Agreement:</strong><br />
		<p>Your use of the Site is subject at all times to these Terms of Service and our Privacy Policy. Any content, including but not limited to, user identities created on the Site or submitted to the Service is governed by these Terms. This includes, but is not limited to, proper in-game and out of game conduct. This Agreement is in addition to, and does in no way replace or supplant, the End User License Agreement (the "EULA") that accompanied the MuOnline software and to which the MuOnline software is subject. You also may be subject to additional terms and conditions that may apply when you use or purchase certain other MuOnline services, affiliate services, third-party content or software.</p>
		<p>MuOnline recommends that all users periodically review these Terms since MuOnline is a live and evolving community. MuOnline reserves the right, at its sole and absolute discretion, to revise, amend, change, add to, delete, or update these terms and the Service, effective with or without prior notice by publishing the revised or updated Agreement on our website at MuOnline. The revised or updated Agreement is effective upon publication and your continued use of the Site and the Service following notice and publication of the revised or updated Agreement on the site will constitute your acceptance of the updated terms. If you do not agree with these revised or updated Terms, you are obligated to terminate your User ID immediately and cancel any services for which you have signed up.</p>
	</li>
	<li>
		<strong>Eligibility and Age Requirements:</strong><br />
		<p>The Site and the Service are for users age 13 and over. In accordance with the Children's Online Privacy Protection Act of 2000, if you are under the age of 13, personal information cannot be collected from you and thus, you are prohibited from creating a membership account through the Service, shall not be eligible to enter any prize awarding events and/or promotions, and are asked not to provide any personal information of any kind on the Site, through the Service, or to us.</p>
		<p>As noted, the Site and the Service are for users age 13 and over. While children of all ages may view the Site, only those 13 or older can use the Site and related games and services. We will not knowingly accept any applications or other submissions from anyone under the age of 13. If we learn that anyone under the age of 13 is attempting to make an application or place an order, we will terminate the transaction if it is feasible to do so and subsequently delete any personal information sent to us. Also, we do not knowingly accept, collect, maintain or use personal information regarding children under the age of 13 on this Site.</p>
		<p>If a parent or legal guardian of a child discovers that their child under the age of 13 has provided us with personally identifiable information and would like MuOnline to stop collecting such information, or have the child's personal information deleted from our database records, they should contact us at contact@MuOnline.com. We will review, update, or remove the child's information as requested within reasonable time.</p>
		<p>If you are over the age of 13, but still considered a minor under the law of the relevant state, we ask that you review these Terms as well as our Privacy Policy with your parent(s) or legal guardian(s) to ensure they understand and agree to them. We strongly encourage parents or legal guardians to be positive and active role models to their children and spend time together online with their children, familiarizing themselves with the Service and overseeing any communication between their children and any other Internet users. It is highly suggested that parents or legal guardians educate their children about online conduct, specifically including but not limited to, never revealing, distributing, or otherwise communicating their personal identifying information such as real names, images, addresses, or phone numbers without parental or guardian permission when using the Internet.</p>
		<p>MuOnline is an ever-evolving community comprised of many different participants with different experiences and backgrounds. While we may choose to monitor and take action upon inappropriate player conduct, chat or links to the Service, it is possible that at any time there may be language or other material accessible on or through the Service that may be inappropriate for children or offensive to some users of any age. This agreement outlines rules of conduct for players accessing the Service. We cannot ensure that all players will adhere to these terms and not provide content or access to content that parents or guardians may find inappropriate or that any user may find objectionable. MuOnline does not pre-screen the content, the materials or the communications transmitted by each player. As such, it is highly encouraged that parents provide guidance to users under the age of majority and exercise their parental responsibility in restricting access of their children to such content.</p>
	</li>
	<li>
		<strong>User Identity/Account Creation:</strong><br />
		<p>When creating a user identity ("User ID", "account") by completing and submitting the MuOnline registration form, you represent that you have reviewed, understand, and are in full compliance with the Terms. You must also provide truthful and accurate information in the registration process and be who you claim to be. If you are a minor, your parent(s) or guardian(s) must preside over your registration process and/or complete the registration process for you, in which case they will take full responsibility for all obligations under this Agreement and are completely liable for all activities conducted through the Account by you or any other party, whether authorized by the registered user or not.</p>
		<p>During the registration process, you must select login information ("Login Information") comprised of a unique login name ("User ID," "account name") and a secure password ("password").</p>
		<p>As creator of your User ID, you are completely responsible for your identity and MuOnline will not tolerate offensive, obscene, or otherwise inappropriate user identities. If a User ID violates any part of these Terms, determined at the sole and absolute discretion of MuOnline Support Staff, we may immediately, temporarily, or permanently ban such User ID from the Site or Service, with or without notice or prior warning.</p>
	</li>
	<li>
		<strong>Account Security:</strong><br />
		<p>You, as the registered user of an account, are ultimately and completely responsible for maintaining confidentiality of your login information and computer system used to access the Site or Service. Further, you are solely responsible and liable for any and all uses of your Login Information, whether authorized by you or not. You may not directly or indirectly reveal your password to anyone for any reason at any time or allow anyone else to access the account. Sharing, trading, swapping, selling, buying, bartering, or otherwise distributing accounts or account/Login Information is strictly prohibited and subject to disciplinary action up to and possibly including service termination at the sole and absolute discretion of our support staff. MuOnline will NEVER ask for your account password and you should NEVER reveal it, EVER; even when contacting us about an account issue.</p>
		<p>When creating a User ID, you agree to indemnify and hold MuOnline and its affiliates harmless for any improper use of such identity including, but not limited to, improper or illegal use by someone to whom you have revealed your password in any way. MuOnline is not responsible for any misuse of your User ID, whether such misuse is by you or by third parties. When interacting in any online community we strongly recommend that all players think before they click and engage in safe internet practices at all times.</p>
		<p>If you discover that the confidentiality of your account Login Information may have been compromise, you are required to immediately and truthfully report this to MuOnline as soon as possible by emailing or submitting a request for help through the MuOnline Helpdesk. We will coordinate with proper investigating authorities to hold individuals perpetrating online crimes accountable for their actions, including those who submit fraudulent or false reports.</p>
	</li>
	<li>
		<strong>Disciplinary Action and User ID Termination:</strong><br />
		<p>MuOnline can and does issue warnings and temporary suspensions and permanent terminations of user identities for user violations. We retain the sole discretion as to when and how to impose warnings, penalties and/or disciplinary actions. The severity of a violation and number of occurrences factor into the decisions, but they are not the only measures used. User identities may be banned, both temporarily and permanently, without prior warning.</p>
		<p>To avoid any doubt, you acknowledge that MuOnline has sole discretion with respect to penalties and disciplinary actions even if there is a credit remaining on your account.</p>
		<p>If you feel you or your User ID has been unfairly warned or disciplined, please submit a request for help at the MuOnline Helpdesk or send an email with pertinent detail to contact@MuOnline.com. All submitted account action disputes will be carefully reviewed yet MuOnline will only take action with valid claims in its determination.</p>
	</li>
	<li>
		<strong>Payment Gateways:</strong><br />
		<p>MuOnline strives to provide free quality games via the Site and Service. Users are not required to purchase in-game items to fully enjoy the Service, however, Users may charge Virtual Money to their accounts using PaymentWall to acquire those charged Items. Before using either payment gateway, MuOnline recommends you to review their Terms of Service carefully and be sure you agree to their terms separate from this ToS. When you present payment gateway information to MuOnline, you represent to MuOnline that you are the authorized user of such payment gateway account being used to acquire Virtual Money. MuOnline is not affiliated with PaymentWall. If any payment is reversed, cancelled or charged back, your Account with us may be immediately suspended without notice or further be terminated if found fraud.</p>
	</li>
	<li>
		<strong>Abuse of Exploits/Bugs:</strong><br />
		<p>Making use or abusing of any existing/known exploits and/or bugs is completely forbidden.</p>
	</li>
	<li><strong>Server Outages:</strong><br />
		<p>There will be regular periods of server maintenance as well as spot maintenance, usually coinciding with a new game or new service. MuOnline will do its best to limit server down time to twenty four hours. However, MuOnline is not liable for any loss of usage or data experienced as a result of maintenance or other down times and you agree to hold MuOnline harmless for any such loss.</p>
		<p>MuOnline will not be responsible for a user's inability to access paid services during server maintenance.</p>
		<p>MuOnline shall not be liable for any delay or failure to perform resulting from causes outside the reasonable control of MuOnline, including without limitation any failure to perform hereunder due to unforeseen circumstances or cause beyond MuOnline's control such as acts of God, war, terrorism, riots, embargoes, acts of civil or military authorities, fire, floods, accidents, strikes, or shortages of transportation facilities, fuel, energy, labor or materials.</p>
		<p>Further, we cannot and do not promise or ensure that you will be able to access your Account whenever you want, and there may be extended periods of time when you cannot access your Account. You assume the entire risk as to the results and performance of the Software and the Game in connection with your hardware and software, and you assume the entire cost of all servicing, repair and/or correction of your hardware and software.</p>
	</li>
	<li>
		<strong>Third Party Sites:</strong><br />
		<p>Clicking a hyperlink may direct you away from the Site. MuOnline does not endorse or control any third party linked sites, is not responsible for their content and has no association with the owners or operators of such sites. Also, other sites may have different terms of service and different privacy policies. MuOnline therefore strongly recommends that you inform yourself regarding the practices of third party websites.</p>
	</li>
	<li>
		<strong>Liability:</strong><br />
		<p>Neither MuOnline nor its parent, subsidiaries, licensors or affiliates shall be liable in any way for damage or loss of any kind resulting from (a) the use of or inability to use the service including without limitation loss of goodwill, work stoppage, computer failure or malfunction; (b) the loss or damage to player characters, accounts, statistics, inventories, user profile information stored by associated games; or (c) interruptions of service including without limitation ISP disruptions, software or hardware failures or any other event which may result in a loss of data or disruption of service. In no event will MuOnline be liable to you or anyone else for any direct, indirect, incidental, special, exemplary or consequential damages.</p>
	</li>
	<li>
		<strong>Indemnification:</strong><br />
		<p>You agree to indemnify and hold harmless MuOnline and its affiliates from and against any claim, loss, expense or damage resulting from or arising out of your failure to comply with these terms or any illegal action or inappropriate conduct by you in connection with your use of the Site or visits to the Site.</p>
	</li>
	<li>
		<strong>Service Update or Notice of Change:</strong><br />
		<p>MuOnline reserves the right, at its sole and absolute discretion, to change, modify, add to, supplement or delete access policies, the availability of any feature of the Service, hours of availability, content, data, software or equipment needed to access the Service, effective with or without prior notice. However, material changes (as determined in MuOnline sole and absolute discretion) will be disclosed prior to or subsequent those changes.</p>
		<p>MuOnline will provide you with notification of any such changes to the Service through a server maintenance, announcement, or by email. If any future changes to this Agreement are unacceptable to you or cause you to no longer be in compliance with this Agreement, you must terminate, and immediately stop using, the Service and the Account. Your continued use of the Service following any revision to this Agreement constitutes your complete and irrevocable acceptance of any and all such changes. MuOnline may change, modify, suspend, or discontinue any aspect of the Service at any time. MuOnline may also impose limits on certain features or restrict your access to parts or all of the Service without notice or liability.</p>
	</li>
	<li>
		<strong>Additional Terms:</strong><br />
		<p>Void Where Prohibited. No purchase necessary to play games. The operators of this website reserve the right suspend or terminate Player's access to the website at any time for any reason or no reason. Points have no cash value.</p>
	</li>
	<li>
		<strong>Closing:</strong><br />
		<p>Thank you again for visiting MuOnline. We hope you enjoy your stay and take full advantage of the online community we are developing. Please remember that you are a guest at the Site and act with the same courtesy and respect you expect from other guests. MuOnline always reserves the right to refuse or terminate service.</p>
	</li>
</ol>